<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    knirpse_setPostViews( get_the_ID() );

    ?>
    <div <?php post_class(); ?> data-wow-delay="0.2s">
    <?php
        if( class_exists('ReduxFramework') ) {
            $knirpse_post_details_title_position = knirpse_opt('knirpse_post_details_title_position');
        } else {
            $knirpse_post_details_title_position = 'header';
        }

        $allowhtml = array(
            'p'         => array(
                'class'     => array()
            ),
            'span'      => array(),
            'a'         => array(
                'href'      => array(),
                'title'     => array()
            ),
            'br'        => array(),
            'em'        => array(),
            'strong'    => array(),
            'b'         => array(),
        );
        echo '<div class="vs-blog blog-single">';
            // Blog Post Thumbnail
            do_action( 'knirpse_blog_post_thumb' );

            if( $knirpse_post_details_title_position != 'header' ) {
                echo '<h2 class="blog-title h3">'.wp_kses( get_the_title(), $allowhtml ).'</h2>';
            }
            // Blog Post Meta
            do_action( 'knirpse_blog_post_meta' );
            
            echo '<div class="blog-content">';

                if( get_the_content() ){

                    the_content();
                    // Link Pages
                    knirpse_link_pages();
                }
            echo '</div>';

            if( class_exists('ReduxFramework') ) {
                $knirpse_post_details_share_options = knirpse_opt('knirpse_post_details_share_options');
            } else {
                $knirpse_post_details_share_options = false;
            }
            
            $knirpse_post_tag = get_the_tags();
            
            if( ! empty( $knirpse_post_tag ) || ( function_exists( 'knirpse_social_sharing_buttons' ) || $knirpse_post_details_share_options ) ){
                echo '<div class="row justify-content-between share-links mt-10">';
                
                    if( is_array( $knirpse_post_tag ) && ! empty( $knirpse_post_tag ) ){
                        if( count( $knirpse_post_tag ) > 1 ){
                            $tag_text = __( 'Tags:', 'knirpse' );
                        }else{
                            $tag_text = __( 'Tag:', 'knirpse' );
                        }
                        echo '<div class="col-sm-auto mb-20 mb-md-0">';
                        echo '<h5>'.$tag_text.'</h5>';

                            echo '<div class="tagcloud">';
                                foreach( $knirpse_post_tag as $tags ){
                                    echo '<a href="'.esc_url( get_tag_link( $tags->term_id ) ).'">'.esc_html( $tags->name ).'</a>';
                                }
                            echo '</div>';
                        echo '</div>';
                    }

                    /**
                    *
                    * Hook for Blog Details Share Options
                    *
                    * Hook knirpse_blog_details_share_options
                    *
                    * @Hooked knirpse_blog_details_share_options_cb 10
                    *
                    */
                    do_action( 'knirpse_blog_details_share_options' );
                echo '</div>';
            } 
        echo '</div>'; 
    

        /**
        *
        * Hook for Blog Details Author Bio
        *
        * Hook knirpse_blog_details_author_bio
        *
        * @Hooked knirpse_blog_details_author_bio_cb 10
        *
        */
        do_action( 'knirpse_blog_details_author_bio' );

        /**
        *
        * Hook for Blog Details Comments
        *
        * Hook knirpse_blog_details_comments
        *
        * @Hooked knirpse_blog_details_comments_cb 10
        *
        */
        do_action( 'knirpse_blog_details_comments' );
    echo '</div>'; 