<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $knirpse_post_id = get_the_ID();

            // Get the page settings manager
            $knirpse_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $knirpse_page_settings_model = $knirpse_page_settings_manager->get_model( $knirpse_post_id );

            // Retrieve the color we added before
            $knirpse_header_style = $knirpse_page_settings_model->get_settings( 'kundax_header_style' );
            $knirpse_header_builder_option = $knirpse_page_settings_model->get_settings( 'kundax_header_builder_option' );

            if( $knirpse_header_style == 'header_builder'  ) {

                if( !empty( $knirpse_header_builder_option ) ) {
                    $knirpseheader = get_post( $knirpse_header_builder_option );
                    echo '<header class="header">';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $knirpseheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $knirpse_header_builder_trigger = knirpse_opt('knirpse_header_options');
                if( $knirpse_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $knirpse_global_header_select = get_post( knirpse_opt( 'knirpse_header_select_options' ) );
                    $header_post = get_post( $knirpse_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    knirpse_global_header_option();
                }
            }
        } else {
            $knirpse_header_options = knirpse_opt('knirpse_header_options');
            if( $knirpse_header_options == '1' ) {
                knirpse_global_header_option();
            } else {
                $knirpse_header_select_options = knirpse_opt('knirpse_header_select_options');
                $knirpseheader = get_post( $knirpse_header_select_options );
                echo '<header class="header">';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $knirpseheader->ID );
                echo '</header>';
            }
        }
    } else {
        knirpse_global_header_option();
    }