<?php
/**
 * @Packge     : Knirpse
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( defined( 'CMB2_LOADED' )  ){
        if( !empty( knirpse_meta('page_breadcrumb_area') ) ) {
            $knirpse_page_breadcrumb_area  = knirpse_meta('page_breadcrumb_area');
        } else {
            $knirpse_page_breadcrumb_area = '1';
        }
    }else{
        $knirpse_page_breadcrumb_area = '1';
    }
    
    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sub'       => array(),
        'sup'       => array(),
    );
    
    if(  is_page() || is_page_template( 'template-builder.php' )  ) {
        if( $knirpse_page_breadcrumb_area == '1' ) {
            if( class_exists( 'reduxframework' ) ){
                $breadcrumb_img = knirpse_opt('knirpse_allHeader_bg', 'url');
            }else{
                $breadcrumb_img = ""; 
            }
            echo '<!-- Page title -->';
            echo '<div class="breadcumb-wrapper" id="breadcumbwrap" data-bg-src="'.esc_url($breadcrumb_img).'">';
                echo '<div class="container">';
                    echo '<div class="row">';

                        echo '<div class="breadcumb-content">';
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {
                                if( !empty( knirpse_meta('page_breadcrumb_settings') ) ) {
                                    if( knirpse_meta('page_breadcrumb_settings') == 'page' ) {
                                        $knirpse_page_title_switcher = knirpse_meta('page_title');
                                    } else {
                                        $knirpse_page_title_switcher = knirpse_opt('knirpse_page_title_switcher');
                                    }
                                } else {
                                    $knirpse_page_title_switcher = '1';
                                }
                            } else {
                                $knirpse_page_title_switcher = '1';
                            }

                            if( $knirpse_page_title_switcher ){
                                if( class_exists( 'ReduxFramework' ) ){
                                    $knirpse_page_title_tag    = knirpse_opt('knirpse_page_title_tag');
                                }else{
                                    $knirpse_page_title_tag    = 'h1';
                                }

                                if( defined( 'CMB2_LOADED' )  ){
                                    if( !empty( knirpse_meta('page_title_settings') ) ) {
                                        $knirpse_custom_title = knirpse_meta('page_title_settings');
                                    } else {
                                        $knirpse_custom_title = 'default';
                                    }
                                }else{
                                    $knirpse_custom_title = 'default';
                                }

                                if( $knirpse_custom_title == 'default' ) {
                                    echo knirpse_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $knirpse_page_title_tag ),
                                            "text"  => esc_html( get_the_title( ) ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                } else {
                                    echo knirpse_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $knirpse_page_title_tag ),
                                            "text"  => esc_html( knirpse_meta('custom_page_title') ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                }

                            }
                            if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {

                                if( knirpse_meta('page_breadcrumb_settings') == 'page' ) {
                                    $knirpse_breadcrumb_switcher = knirpse_meta('page_breadcrumb_trigger');
                                } else {
                                    $knirpse_breadcrumb_switcher = knirpse_opt('knirpse_enable_breadcrumb');
                                }

                            } else {
                                $knirpse_breadcrumb_switcher = '1';
                            }

                            if( $knirpse_breadcrumb_switcher == '1' && (  is_page() || is_page_template( 'template-builder.php' ) )) {
                                knirpse_breadcrumbs(
                                    array(
                                        'breadcrumbs_classes' => 'nav',
                                    )
                                );
                            }
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
            echo '<!-- End of Page title -->';
            
        }
    } else {
        if( class_exists( 'reduxframework' ) ){
            $breadcrumb_img = knirpse_opt('knirpse_allHeader_bg', 'url');
        }else{
            $breadcrumb_img = ""; 
        }
        echo '<!-- Page title -->';
        echo '<div class="breadcumb-wrapper " data-bg-src="'.esc_url($breadcrumb_img).'">';
            echo '<div class="container">';
                echo '<div class="row">';

                    echo '<div class="breadcumb-content">';
                        if( class_exists( 'ReduxFramework' )  ){
                            $knirpse_page_title_switcher  = knirpse_opt('knirpse_page_title_switcher');
                        }else{
                            $knirpse_page_title_switcher = '1';
                        }

                        if( $knirpse_page_title_switcher ){
                            if( class_exists( 'ReduxFramework' ) ){
                                $knirpse_page_title_tag    = knirpse_opt('knirpse_page_title_tag');
                            }else{
                                $knirpse_page_title_tag    = 'h1';
                            }
                            if( class_exists('woocommerce') && is_shop() ) {
                                echo knirpse_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $knirpse_page_title_tag ),
                                        "text"  => wp_kses( woocommerce_page_title( false ), $allowhtml ),
                                        'class' => 'breadcumb-title text-white'
                                    )
                                );
                            }elseif ( is_archive() ){
                                echo knirpse_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $knirpse_page_title_tag ),
                                        "text"  => wp_kses( get_the_archive_title(), $allowhtml ),
                                        'class' => 'breadcumb-title text-white'
                                    )
                                );
                            }elseif ( is_home() ){
                                $knirpse_blog_page_title_setting = knirpse_opt('knirpse_blog_page_title_setting');
                                $knirpse_blog_page_title_switcher = knirpse_opt('knirpse_blog_page_title_switcher');
                                $knirpse_blog_page_custom_title = knirpse_opt('knirpse_blog_page_custom_title');
                                if( class_exists('ReduxFramework') ){
                                    if( $knirpse_blog_page_title_switcher ){
                                        echo knirpse_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $knirpse_page_title_tag ),
                                                "text"  => !empty( $knirpse_blog_page_custom_title ) && $knirpse_blog_page_title_setting == 'custom' ? esc_html( $knirpse_blog_page_custom_title) : esc_html__( 'Latest News', 'knirpse' ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    }
                                }else{
                                    echo knirpse_heading_tag(
                                        array(
                                            "tag"   => "h1",
                                            "text"  => esc_html__( 'Latest News', 'knirpse' ),
                                            'class' => 'breadcumb-title text-white',
                                        )
                                    );
                                }
                            }elseif( is_search() ){
                                echo knirpse_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $knirpse_page_title_tag ),
                                        "text"  => esc_html__( 'Search Result', 'knirpse' ),
                                        'class' => 'breadcumb-title text-white'
                                    )
                                );
                            }elseif( is_404() ){
                                echo knirpse_heading_tag(
                                    array(
                                        "tag"   => esc_attr( $knirpse_page_title_tag ),
                                        "text"  => esc_html__( '404 PAGE', 'knirpse' ),
                                        'class' => 'breadcumb-title text-white'
                                    )
                                );
                            }elseif( is_singular( 'product' ) ){
                                $posttitle_position  = knirpse_opt('knirpse_product_details_title_position');
                                $postTitlePos = false;
                                if( class_exists( 'ReduxFramework' ) ){
                                    if( $posttitle_position && $posttitle_position != 'header' ){
                                        $postTitlePos = true;
                                    }
                                }else{
                                    $postTitlePos = false;
                                }

                                if( $postTitlePos != true ){
                                    echo knirpse_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $knirpse_page_title_tag ),
                                            "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                } else {
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $knirpse_post_details_custom_title  = knirpse_opt('knirpse_product_details_custom_title');
                                    }else{
                                        $knirpse_post_details_custom_title = __( 'Shop Details','knirpse' );
                                    }

                                    if( !empty( $knirpse_post_details_custom_title ) ) {
                                        echo knirpse_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $knirpse_page_title_tag ),
                                                "text"  => wp_kses( $knirpse_post_details_custom_title, $allowhtml ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    }
                                }
                            }else{
                                $posttitle_position  = knirpse_opt('knirpse_post_details_title_position');
                                $postTitlePos = false;
                                if( is_single() ){
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }
                                }
                                if( is_singular( 'product' ) ){
                                    $posttitle_position  = knirpse_opt('knirpse_product_details_title_position');
                                    $postTitlePos = false;
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }
                                }

                                if( $postTitlePos != true ){
                                    echo knirpse_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $knirpse_page_title_tag ),
                                            "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                } else {
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $knirpse_post_details_custom_title  = knirpse_opt('knirpse_post_details_custom_title');
                                    }else{
                                        $knirpse_post_details_custom_title = __( 'Blog Details','knirpse' );
                                    }

                                    if( !empty( $knirpse_post_details_custom_title ) ) {
                                        echo knirpse_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $knirpse_page_title_tag ),
                                                "text"  => wp_kses( $knirpse_post_details_custom_title, $allowhtml ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    }
                                }
                            }
                        }
                        if( class_exists('ReduxFramework') ) {
                            $knirpse_breadcrumb_switcher = knirpse_opt( 'knirpse_enable_breadcrumb' );
                        } else {
                            $knirpse_breadcrumb_switcher = '1';
                        }
                        if( $knirpse_breadcrumb_switcher == '1' ) {
                            knirpse_breadcrumbs(
                                array(
                                    'breadcrumbs_classes' => 'nav',
                                )
                            );
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }